Naar hoofdinhoud gaan
POST
/
v1
/
monitors
/
{monitor_id}
/
resume
Hervat Monitor
curl --request POST \
  --url https://api.olostep.com/v1/monitors/{monitor_id}/resume \
  --header 'Authorization: Bearer <token>'
{
  "id": "monitor_5hktz469jy",
  "object": "monitor",
  "created_at": 1777983215,
  "updated_at": 1777990422,
  "cron_expression": "13 13 * * ? *",
  "fda_id": "fda_5hktz469jy",
  "frequency": "daily",
  "metadata": {},
  "notification_channel": "email",
  "notification_target": "example@olostep.com",
  "query": "Gather the new blogposts from example website and send me updates with new posts.",
  "status": "active",
  "team_id": "team_5hktz469jyF"
}

Documentation Index

Fetch the complete documentation index at: https://docs.olostep.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisaties

Authorization
string
header
vereist

Bearer authenticatie header in de vorm Bearer , waar jouw auth token is.

Padparameters

monitor_id
string
vereist

Unieke monitor-identificatie. Moet beginnen met monitor_.

Pattern: ^monitor_

Respons

Monitor succesvol hervat. Geeft de monitor terug met status teruggezet naar active.

id
string

Unieke monitor identificatie.

object
string
Voorbeeld:

"monitor"

team_id
string
status
enum<string>

Monitor levenscyclusstatus. Veelvoorkomende waarden: active (draait volgens schema), paused (schema uitgeschakeld via /pause, kan worden hervat via /resume), deleted (zacht verwijderd).

Beschikbare opties:
active,
paused,
deleted
fda_id
string
query
string

Monitoring intent in natuurlijke taal. Als de query een URL bevat, zal de monitor zich op die URL richten.

frequency
string

Schema-instructie in natuurlijke taal (bijvoorbeeld: 'elke dag om 9 uur America/Los_Angeles' of 'elke werkdag om 14:30'). Als er geen tijdzone is opgegeven, wordt UTC gebruikt.

cron_expression
string | null
notification_channel
enum<string>
Beschikbare opties:
email,
webhook,
sms
notification_target
string
metadata
object
output_schema
object

Optioneel JSON-schema dat wordt gebruikt om gestructureerde monitor extractie-uitvoer af te dwingen.

error_message
string | null
created_at
integer

Unix-tijdstempel.

updated_at
integer

Unix-tijdstempel.